var NAVTREE =
[
  [ "RMOL", "index.html", [
    [ "RMOL Documentation", "index.html", null ],
    [ "Related Pages", "pages.html", [
      [ "People", "a00001.html", null ],
      [ "Coding Rules", "a00002.html", null ],
      [ "Copyright and License", "a00003.html", null ],
      [ "Documentation Rules", "a00004.html", null ],
      [ "Main features", "a00005.html", null ],
      [ "Make a Difference", "a00006.html", null ],
      [ "Make a new release", "a00007.html", null ],
      [ "Installation", "a00008.html", null ],
      [ "Linking with RMOL", "a00009.html", null ],
      [ "Test Rules", "a00010.html", null ],
      [ "Users Guide", "a00011.html", null ],
      [ "Supported Systems", "a00012.html", null ],
      [ "RMOL Supported Systems (Previous Releases)", "a00013.html", null ],
      [ "BPSK modulation over an AWGN channel", "a00014.html", null ],
      [ "Simulation of a convolutional encoder and decoder", "a00015.html", null ],
      [ "Interleaving and de-interleaving of data", "a00016.html", null ],
      [ "Writing and reading data from files", "a00017.html", null ],
      [ "Simulation of LDPC codes the AWGN channel", "a00018.html", null ],
      [ "Generation of LDPC codes", "a00019.html", null ],
      [ "Conversion table between IT++ syntax and Matlab/Octave", "a00020.html", null ],
      [ "MIMO (spatial multiplexing) with convolutional coding", "a00021.html", null ],
      [ "Using Mixture of Gaussians (MOG) module to model data", "a00022.html", null ],
      [ "Simulation of QPSK modulation on an AWGN channel", "a00023.html", null ],
      [ "Generating a correlated Rayleigh fading process", "a00024.html", null ],
      [ "Simulation of a Reed-Solomon Block Code", "a00025.html", null ],
      [ "Simulation of a Multicode CDMA system on an AWGN channel", "a00026.html", null ],
      [ "Using timers to measure execution time", "a00027.html", null ],
      [ "Tutorials", "a00028.html", null ],
      [ "A very simple tutorial about vectors and matrixes", "a00029.html", null ],
      [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a00030.html", null ],
      [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a00031.html", null ],
      [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a00032.html", null ],
      [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a00033.html", null ]
    ] ],
    [ "Class List", "annotated.html", [
      [ "CmdAbstract", "a00034.html", null ],
      [ "RMOL::DefaultDCPList", "a00035.html", null ],
      [ "RMOL::DefaultMap", "a00036.html", null ],
      [ "RMOL::DemandGeneratorList", "a00037.html", null ],
      [ "RMOL::Detruncator", "a00038.html", null ],
      [ "RMOL::DPOptimiser", "a00039.html", null ],
      [ "RMOL::EMDetruncator", "a00040.html", null ],
      [ "RMOL::Emsr", "a00041.html", null ],
      [ "RMOL::EmsrUtils", "a00042.html", null ],
      [ "RMOL::FacRmolServiceContext", "a00043.html", null ],
      [ "FacServiceAbstract", "a00044.html", null ],
      [ "RMOL::Forecaster", "a00045.html", null ],
      [ "ForecasterTestSuite", "a00046.html", null ],
      [ "RMOL::ForecastException", "a00047.html", null ],
      [ "RMOL::GuillotineBlockHelper", "a00048.html", null ],
      [ "RMOL::HistoricalBooking", "a00049.html", null ],
      [ "RMOL::HistoricalBookingHolder", "a00050.html", null ],
      [ "RMOL::InventoryParser", "a00051.html", null ],
      [ "RMOL::MCOptimiser", "a00052.html", null ],
      [ "RMOL::OptimisationException", "a00053.html", null ],
      [ "RMOL::Optimiser", "a00054.html", null ],
      [ "OptimiseTestSuite", "a00055.html", null ],
      [ "RMOL::OverbookingException", "a00056.html", null ],
      [ "RMOL::RMOL_Service", "a00057.html", null ],
      [ "RMOL::RMOL_ServiceContext", "a00058.html", null ],
      [ "RootException", "a00059.html", null ],
      [ "ServiceAbstract", "a00060.html", null ],
      [ "StructAbstract", "a00061.html", null ],
      [ "TestFixture", "a00062.html", null ],
      [ "UnconstrainerTestSuite", "a00063.html", null ],
      [ "RMOL::UnconstrainingException", "a00064.html", null ],
      [ "RMOL::Utilities", "a00065.html", null ]
    ] ],
    [ "Class Index", "classes.html", null ],
    [ "Class Hierarchy", "hierarchy.html", [
      [ "std::basic_fstream< char >", null, null ],
      [ "std::basic_fstream< wchar_t >", null, null ],
      [ "std::basic_ifstream< char >", null, null ],
      [ "std::basic_ifstream< wchar_t >", null, null ],
      [ "std::basic_ios< char >", null, null ],
      [ "std::basic_ios< wchar_t >", null, null ],
      [ "std::basic_iostream< char >", null, null ],
      [ "std::basic_iostream< wchar_t >", null, null ],
      [ "std::basic_istream< char >", null, null ],
      [ "std::basic_istream< wchar_t >", null, null ],
      [ "std::basic_istringstream< char >", null, null ],
      [ "std::basic_istringstream< wchar_t >", null, null ],
      [ "std::basic_ofstream< char >", null, null ],
      [ "std::basic_ofstream< wchar_t >", null, null ],
      [ "std::basic_ostream< char >", null, null ],
      [ "std::basic_ostream< wchar_t >", null, null ],
      [ "std::basic_ostringstream< char >", null, null ],
      [ "std::basic_ostringstream< wchar_t >", null, null ],
      [ "std::basic_string< char >", null, null ],
      [ "std::basic_string< wchar_t >", null, null ],
      [ "std::basic_stringstream< char >", null, null ],
      [ "std::basic_stringstream< wchar_t >", null, null ],
      [ "CmdAbstract", "a00034.html", [
        [ "RMOL::InventoryParser", "a00051.html", null ]
      ] ],
      [ "RMOL::DefaultDCPList", "a00035.html", null ],
      [ "RMOL::DefaultMap", "a00036.html", null ],
      [ "RMOL::DemandGeneratorList", "a00037.html", null ],
      [ "RMOL::Detruncator", "a00038.html", null ],
      [ "RMOL::DPOptimiser", "a00039.html", null ],
      [ "RMOL::EMDetruncator", "a00040.html", null ],
      [ "RMOL::Emsr", "a00041.html", null ],
      [ "RMOL::EmsrUtils", "a00042.html", null ],
      [ "FacServiceAbstract", "a00044.html", [
        [ "RMOL::FacRmolServiceContext", "a00043.html", null ]
      ] ],
      [ "RMOL::Forecaster", "a00045.html", null ],
      [ "RMOL::GuillotineBlockHelper", "a00048.html", null ],
      [ "RMOL::MCOptimiser", "a00052.html", null ],
      [ "RMOL::Optimiser", "a00054.html", null ],
      [ "RMOL::RMOL_Service", "a00057.html", null ],
      [ "RootException", "a00059.html", [
        [ "RMOL::ForecastException", "a00047.html", null ],
        [ "RMOL::OptimisationException", "a00053.html", null ],
        [ "RMOL::OverbookingException", "a00056.html", null ],
        [ "RMOL::UnconstrainingException", "a00064.html", null ]
      ] ],
      [ "ServiceAbstract", "a00060.html", [
        [ "RMOL::RMOL_ServiceContext", "a00058.html", null ]
      ] ],
      [ "StructAbstract", "a00061.html", [
        [ "RMOL::HistoricalBooking", "a00049.html", null ],
        [ "RMOL::HistoricalBookingHolder", "a00050.html", null ]
      ] ],
      [ "TestFixture", "a00062.html", [
        [ "ForecasterTestSuite", "a00046.html", null ],
        [ "OptimiseTestSuite", "a00055.html", null ],
        [ "UnconstrainerTestSuite", "a00063.html", null ]
      ] ],
      [ "RMOL::Utilities", "a00065.html", null ]
    ] ],
    [ "Class Members", "functions.html", null ],
    [ "Namespace List", "namespaces.html", [
      [ "RMOL", "a00161.html", null ],
      [ "stdair", "a00163.html", null ]
    ] ],
    [ "Namespace Members", "namespacemembers.html", null ],
    [ "File List", "files.html", [
      [ "doc/tutorial/src/bpsk.cpp", "a00092.html", null ],
      [ "doc/tutorial/src/convcode.cpp", "a00093.html", null ],
      [ "doc/tutorial/src/interleaver.cpp", "a00094.html", null ],
      [ "doc/tutorial/src/ldpc_bersim_awgn.cpp", "a00095.html", null ],
      [ "doc/tutorial/src/ldpc_gen_codes.cpp", "a00096.html", null ],
      [ "doc/tutorial/src/mimoconv.cpp", "a00097.html", null ],
      [ "doc/tutorial/src/mog.cpp", "a00098.html", null ],
      [ "doc/tutorial/src/qpsk_simulation.cpp", "a00099.html", null ],
      [ "doc/tutorial/src/rayleigh.cpp", "a00100.html", null ],
      [ "doc/tutorial/src/read_it_file.cpp", "a00101.html", null ],
      [ "doc/tutorial/src/reedsolomon.cpp", "a00102.html", null ],
      [ "doc/tutorial/src/spread.cpp", "a00103.html", null ],
      [ "doc/tutorial/src/timer.cpp", "a00104.html", null ],
      [ "doc/tutorial/src/vector_and_matrix.cpp", "a00105.html", null ],
      [ "doc/tutorial/src/write_it_file.cpp", "a00106.html", null ],
      [ "rmol/RMOL_Service.hpp", "a00148.html", null ],
      [ "rmol/RMOL_Types.hpp", "a00149.html", null ],
      [ "rmol/basic/BasConst.cpp", "a00110.html", null ],
      [ "rmol/basic/BasConst_Curves.hpp", "a00111.html", null ],
      [ "rmol/basic/BasConst_General.hpp", "a00112.html", null ],
      [ "rmol/basic/BasConst_RMOL_Service.hpp", "a00113.html", null ],
      [ "rmol/batches/rmol.cpp", "a00114.html", null ],
      [ "rmol/bom/BucketHolderTypes.hpp", "a00115.html", null ],
      [ "rmol/bom/DistributionParameterList.hpp", "a00116.html", null ],
      [ "rmol/bom/DPOptimiser.cpp", "a00117.html", null ],
      [ "rmol/bom/DPOptimiser.hpp", "a00118.html", null ],
      [ "rmol/bom/EMDetruncator.cpp", "a00119.html", null ],
      [ "rmol/bom/EMDetruncator.hpp", "a00120.html", null ],
      [ "rmol/bom/Emsr.cpp", "a00121.html", null ],
      [ "rmol/bom/Emsr.hpp", "a00122.html", null ],
      [ "rmol/bom/EmsrUtils.cpp", "a00123.html", null ],
      [ "rmol/bom/EmsrUtils.hpp", "a00124.html", null ],
      [ "rmol/bom/GuillotineBlockHelper.cpp", "a00125.html", null ],
      [ "rmol/bom/GuillotineBlockHelper.hpp", "a00126.html", null ],
      [ "rmol/bom/HistoricalBooking.cpp", "a00127.html", null ],
      [ "rmol/bom/HistoricalBooking.hpp", "a00128.html", null ],
      [ "rmol/bom/HistoricalBookingHolder.cpp", "a00129.html", null ],
      [ "rmol/bom/HistoricalBookingHolder.hpp", "a00130.html", null ],
      [ "rmol/bom/MCOptimiser.cpp", "a00131.html", null ],
      [ "rmol/bom/MCOptimiser.hpp", "a00132.html", null ],
      [ "rmol/bom/Utilities.cpp", "a00135.html", null ],
      [ "rmol/bom/Utilities.hpp", "a00136.html", null ],
      [ "rmol/bom/old/DemandGeneratorList.cpp", "a00133.html", null ],
      [ "rmol/bom/old/DemandGeneratorList.hpp", "a00134.html", null ],
      [ "rmol/command/Detruncator.cpp", "a00137.html", null ],
      [ "rmol/command/Detruncator.hpp", "a00138.html", null ],
      [ "rmol/command/Forecaster.cpp", "a00139.html", null ],
      [ "rmol/command/Forecaster.hpp", "a00140.html", null ],
      [ "rmol/command/InventoryParser.cpp", "a00141.html", null ],
      [ "rmol/command/InventoryParser.hpp", "a00142.html", null ],
      [ "rmol/command/Optimiser.cpp", "a00143.html", null ],
      [ "rmol/command/Optimiser.hpp", "a00144.html", null ],
      [ "rmol/config/rmol-paths.hpp", "a00145.html", null ],
      [ "rmol/factory/FacRmolServiceContext.cpp", "a00146.html", null ],
      [ "rmol/factory/FacRmolServiceContext.hpp", "a00147.html", null ],
      [ "rmol/service/RMOL_Service.cpp", "a00150.html", null ],
      [ "rmol/service/RMOL_ServiceContext.cpp", "a00151.html", null ],
      [ "rmol/service/RMOL_ServiceContext.hpp", "a00152.html", null ],
      [ "test/rmol/bomsforforecaster.cpp", "a00153.html", null ],
      [ "test/rmol/ForecasterTestSuite.cpp", "a00154.html", null ],
      [ "test/rmol/ForecasterTestSuite.hpp", "a00155.html", null ],
      [ "test/rmol/OptimiseTestSuite.cpp", "a00156.html", null ],
      [ "test/rmol/OptimiseTestSuite.hpp", "a00157.html", null ],
      [ "test/rmol/UnconstrainerTestSuite.cpp", "a00158.html", null ],
      [ "test/rmol/UnconstrainerTestSuite.hpp", "a00159.html", null ]
    ] ],
    [ "Directories", "dirs.html", [
      [ "doc", "dir_a7a90d93112a369f9f1eed617161e1af.html", [
        [ "tutorial", "dir_7307d43674a4b2835f3c9e502b9a0bef.html", [
          [ "src", "dir_63b0d79039868871d0fb1e648e67ed8e.html", null ]
        ] ]
      ] ],
      [ "rmol", "dir_9082e1931ae4f68b1896810e53200414.html", [
        [ "basic", "dir_76d2f2e967e1c89bdcef2b4df6a48ea0.html", null ],
        [ "batches", "dir_0d4c68afb81892c83ff9f7286ffe9137.html", null ],
        [ "bom", "dir_e5fbf928fddb072c3e5835877decc98f.html", [
          [ "old", "dir_eb6e8c4bdfb9e7b835f1a131dcf44f75.html", null ]
        ] ],
        [ "command", "dir_62d1ce99e754de45286292954da3ab92.html", null ],
        [ "config", "dir_082d29fc001a89602de2eaab9de448c5.html", null ],
        [ "factory", "dir_e86ec5a06b80dabd563868c1589f679a.html", null ],
        [ "service", "dir_9685d5194f04172024ea4661303e4857.html", null ]
      ] ],
      [ "test", "dir_13ab271945a250b9e8279ece40219e1e.html", [
        [ "rmol", "dir_b0cf0c44a82cc31ab0e3d8e9e16b7657.html", null ]
      ] ]
    ] ],
    [ "File Members", "globals.html", null ]
  ] ]
];

function createIndent(o,domNode,node,level)
{
  if (node.parentNode && node.parentNode.parentNode)
  {
    createIndent(o,domNode,node.parentNode,level+1);
  }
  var imgNode = document.createElement("img");
  if (level==0 && node.childrenData)
  {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() 
    {
      if (node.expanded) 
      {
        $(node.getChildrenUL()).slideUp("fast");
        if (node.isLast)
        {
          node.plus_img.src = node.relpath+"ftv2plastnode.png";
        }
        else
        {
          node.plus_img.src = node.relpath+"ftv2pnode.png";
        }
        node.expanded = false;
      } 
      else 
      {
        expandNode(o, node, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
  }
  else
  {
    domNode.appendChild(imgNode);
  }
  if (level==0)
  {
    if (node.isLast)
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2plastnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2lastnode.png";
        domNode.appendChild(imgNode);
      }
    }
    else
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2pnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2node.png";
        domNode.appendChild(imgNode);
      }
    }
  }
  else
  {
    if (node.isLast)
    {
      imgNode.src = node.relpath+"ftv2blank.png";
    }
    else
    {
      imgNode.src = node.relpath+"ftv2vertline.png";
    }
  }
  imgNode.border = "0";
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  a.appendChild(node.label);
  if (link) 
  {
    a.href = node.relpath+link;
  } 
  else 
  {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
      node.expanded = false;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() 
  {
    if (!node.childrenUL) 
    {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
}

function expandNode(o, node, imm)
{
  if (node.childrenData && !node.expanded) 
  {
    if (!node.childrenVisited) 
    {
      getNode(o, node);
    }
    if (imm)
    {
      $(node.getChildrenUL()).show();
    } 
    else 
    {
      $(node.getChildrenUL()).slideDown("fast",showRoot);
    }
    if (node.isLast)
    {
      node.plus_img.src = node.relpath+"ftv2mlastnode.png";
    }
    else
    {
      node.plus_img.src = node.relpath+"ftv2mnode.png";
    }
    node.expanded = true;
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) 
  {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
        i==l);
  }
}

function findNavTreePage(url, data)
{
  var nodes = data;
  var result = null;
  for (var i in nodes) 
  {
    var d = nodes[i];
    if (d[1] == url) 
    {
      return new Array(i);
    }
    else if (d[2] != null) // array of children
    {
      result = findNavTreePage(url, d[2]);
      if (result != null) 
      {
        return (new Array(i).concat(result));
      }
    }
  }
  return null;
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;

  getNode(o, o.node);

  o.breadcrumbs = findNavTreePage(toroot, NAVTREE);
  if (o.breadcrumbs == null)
  {
    o.breadcrumbs = findNavTreePage("index.html",NAVTREE);
  }
  if (o.breadcrumbs != null && o.breadcrumbs.length>0)
  {
    var p = o.node;
    for (var i in o.breadcrumbs) 
    {
      var j = o.breadcrumbs[i];
      p = p.children[j];
      expandNode(o,p,true);
    }
    p.itemDiv.className = p.itemDiv.className + " selected";
    p.itemDiv.id = "selected";
    $(window).load(showRoot);
  }
}

